Bug 1031009 - change documentation of actions other than enable
change documentation of actions other than enable
Product: Fedora
Classification: Fedora
Component: scl-utils (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Zeleny
Fedora Extras Quality Assurance
Depends On:
Blocks: 1029795 1031011
  Show dependency treegraph
Reported: 2013-11-15 08:23 EST by Honza Horak
Modified: 2014-04-24 03:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: scl-utils-20140127-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1031011 (view as bug list)
Last Closed: 2014-04-24 03:29:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2013-11-15 08:23:11 EST
This bug is a bit related to bug #1029795, so see there for backgroud.

It seems like the only documentation about using generic actions other than "enable" right now is probably the only thing what scl(1) says:
"<action> is a script name to execute in a bash environment before the application itself takes in executed. Currently only enable scriptlet is mandatory which is needed to update search paths, etc."

This is really not what scl command does right now. Bug #1029795 tried to fix the behaviour in order to correspond with such documentation, but it is actually a change of behaviour. Until it is fixed (if at all), we should change the documentation to correspond with the current status, how the things actually work.

Particularly, according to the scl(1) man page, other actions shouldn't enable SCL environment, but in reality X_SCLS is adjusted for every action now. So I guess something like the following can be in the documentation when describing what "scl <action> <collection1> [<collection2> ...] <command>" actually does:
 * marks specified collection(s) as enabled
 * executes the script, which is expected to set proper environment
 * executes the command in the end
Comment 1 Honza Horak 2013-11-15 08:27:56 EST
Please, also ensure that help will be aligned with the current behaviour. It's mostly the same issue there.

+ Removing RFE from Summary, it's only man page change.
Comment 2 Fedora Update System 2014-04-14 04:47:28 EDT
scl-utils-20140127-4.fc20 has been submitted as an update for Fedora 20.
Comment 3 Fedora Update System 2014-04-14 04:48:02 EDT
scl-utils-20140127-4.fc19 has been submitted as an update for Fedora 19.
Comment 4 Fedora Update System 2014-04-15 11:33:18 EDT
Package scl-utils-20140127-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scl-utils-20140127-4.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-04-24 03:29:34 EDT
scl-utils-20140127-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-04-24 03:33:08 EDT
scl-utils-20140127-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.